[youtubei.js](../../../README.md) / [Generator](../README.md) / RendererInferenceType

# Interface: RendererInferenceType

## Properties

### optional

> **optional**: `boolean`

#### Defined in

[src/parser/generator.ts:46](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/generator.ts#L46)

***

### renderers

> **renderers**: `string`[]

#### Defined in

[src/parser/generator.ts:45](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/generator.ts#L45)

***

### type

> **type**: `"renderer"`

#### Defined in

[src/parser/generator.ts:44](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/generator.ts#L44)
